Array.prototype.isConsecutive = function(stepSize=1){
    if(this.length <= 1)
        return true;
    const thisAsSorrted = this.toSorted();
    let currentElement = thisAsSorrted[0];
    for(let i = 1; i < thisAsSorrted.length; i++){
        if(currentElement + stepSize != thisAsSorrted[i])
            return false;
        currentElement = thisAsSorrted[i];
    }
    return true;
}